<style type="text/css">
    .box{
        text-align: center;
border: 1px solid rgba(0, 0, 0, 0.15);

width: 100%;
border-radius: 20px;

margin: 10px;
position: relative;
box-shadow: inset 0 0 4px rgba(0, 0, 0, 0.15);
    }
    .explore {
        
bottom: 0;
text-align: center;
width: 100%;
background: #7EBE43;
padding: 0;
margin: 0;
border-bottom-right-radius: 20px;
border-bottom-left-radius: 20px;
padding: 10px;
color:#fff;

    }
    .explore a{ 
        color: #fff !important;

    }
    .subcategory {
        
        padding-top: 20px;
    }
    .box .category-name {
        font-weight: bold;
font-size: 22px;
padding-bottom: 10px;
display: block;
    }
    .sidebar-content h3 {
        font-weight: normal;
border-bottom: 1px solid #7EBE43;
padding-bottom: 10px;
width: 65%;

    }
    .sidebar .o-list li a {
        color: #000;
        font-size: 18px;
    }
    .sidebar .o-list li{
        border-bottom: 0px;
    }
    .fa, .fas, .far, .fal, .fab {
        color: #7EBE43;
    }
</style>
<?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$category = $objectManager->get('Magento\Framework\Registry')->registry('current_category');
$subcats = $category->getChildrenCategories();
$_outputhelper = $this->helper('Magento\Catalog\Helper\Output');



?>
<div class="row">
    <?php

    
        
    foreach ($subcats as $subcat) {
        if ($subcat->getIsActive()) {

            $subcat_url = $subcat->getUrl();
            $subcat_img = "";
            $placeholder_img = "/media/placeholder.png";
            $subcategory = $objectManager->create('Magento\Catalog\Model\Category')->load($subcat->getId());
            $_imgUrl='';
            
            
            if ($_imgUrl = $subcategory->getImageUrl()) {

                $_imgHtml = '<img src="' . $_imgUrl . '"  class="img-responsive subcategory" />';
                $_imgHtml = $_outputhelper->categoryAttribute($subcategory, $_imgHtml, 'image');
?>
<div class="col-sm-4 sub-cat-tile">
    <div class="box-full">
        <div class="box">
            <?php echo $_imgHtml; ?>
                <a href="<?php echo $subcat_url; ?>" class="category-name">
                    
                    <?php echo $subcategory->getName(); ?>
                </a>
                <p ><?php echo $subcategory->getDescription(); ?></p>
                <p class="explore"><a href="<?php echo $subcat_url; ?>" >Explore</a></p>
            </div>
            
    </div>
</div>
<?php 
               
            }


            ?>

            
            <?php
        }
    } ?>
</div>
